Subject: bug#55068: 29.0.50; crashes when trying to set default font

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 23 May 2022 14:36:15 +0200

Po Lu <[email-masked]> writes:

> The stack overflowed because of the two allocas.  Does it still crash
> with this patch?

Nope; no crashes with that patch, thanks.

(Side note: It is pretty slow, though -- popping up and closing the menu
both takes about five seconds on this laptop, so perhaps it should limit
the number of entries in one way or another.  And...  the family names
aren't sorted alphabetically?  And it looks like I'm getting several
instances of each family -- it's so slow that it's a bit painful to
scroll through, but I'm getting several instances of "Lato", for
instance, at arbitrary places in the list.)

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no